/**
 * 使用示例：
 * import * as msDemo1MsClient from 'cn.keytop.stc.ms.MsDemo1'
 *
 * const msDemo1MsClient = new msDemo1MsClient.MsDemo1()
 *  msDemo1MsClient.fun1('aaa','bbb','ccc')
 * .catch(error => {console.log(error)})
 * .then(value => {console.log(value)})
 *
 *
 * @author 微服务平台自动生成
 * @desc [null]接口定义
 * @date 2020-03-10 19:04:47
 **/
export declare class MsDemo1 {
    private msId;
    private version;
    private authType;
    private serviceClient;
    constructor();
    fun1(p1: number, p2: number, p3: number, p4: number, p5: number, p6: number, p7: number, p8: number, p9: boolean, p10: boolean, p11: string, p12: number, p13: number, p14: number): Promise<string>;
    fun2test(modelA: Fun2test$Models.ModelA): Promise<string>;
    fun3(f1: string): Promise<Fun3$Models.ApiResult>;
    fun4(f1: Fun4$Models.ModelB): Promise<Array<Fun4$Models.ModelA>>;
    test1(param1: string): Promise<Test1$Models.ApiDemoResult>;
    callDemo2(): Promise<CallDemo2$Models.CallResult>;
}
export declare namespace Fun1$Models {
}
export declare namespace Fun2test$Models {
    class ModelAAA {
        f111?: string;
    }
    class ModelAA {
        f11?: string;
    }
    class ModelA {
        f1?: number;
        modelAA?: ModelAA;
        f0?: string;
    }
}
export declare namespace Fun3$Models {
    class ModelBB1 {
        private _ms_response_data$$$;
        constructor(value: any);
        get f111(): string;
        set f111(value: string);
    }
    class ModelBB2 {
        private _ms_response_data$$$;
        constructor(value: any);
    }
    class ModelB {
        private _ms_response_data$$$;
        private _f1;
        private _f2;
        constructor(value: any);
        get f1(): ModelBB1;
        set f1(value: ModelBB1);
        get f2(): ModelBB2;
        set f2(value: ModelBB2);
    }
    class ApiResult {
        private _ms_response_data$$$;
        private _data;
        constructor(value: any);
        get responseCode(): string;
        set responseCode(value: string);
        get errorInfo(): string;
        set errorInfo(value: string);
        get data(): ModelB;
        set data(value: ModelB);
    }
}
export declare namespace Fun4$Models {
    class ModelBB1 {
        f111?: string;
    }
    class ModelBB2 {
    }
    class ModelB {
        f1?: ModelBB1;
        f2?: ModelBB2;
    }
    class ModelAAA {
        private _ms_response_data$$$;
        constructor(value: any);
        get f111(): string;
        set f111(value: string);
    }
    class ModelAA {
        private _ms_response_data$$$;
        constructor(value: any);
        get f11(): string;
        set f11(value: string);
    }
    class ModelA {
        private _ms_response_data$$$;
        private _modelAA;
        constructor(value: any);
        get f1(): number;
        set f1(value: number);
        get modelAA(): ModelAA;
        set modelAA(value: ModelAA);
        get f0(): string;
        set f0(value: string);
    }
}
export declare namespace Test1$Models {
    class ApiDemoResult {
        private _ms_response_data$$$;
        constructor(value: any);
        get code(): number;
        set code(value: number);
        get message(): string;
        set message(value: string);
        get data(): string;
        set data(value: string);
    }
}
export declare namespace CallDemo2$Models {
    class Map {
        private _ms_response_data$$$;
        constructor(value: any);
    }
    class CallResult {
        private _ms_response_data$$$;
        private _callDemo2;
        constructor(value: any);
        get SUCCESS_CODE(): number;
        set SUCCESS_CODE(value: number);
        get NOT_LOGGED_CODE(): number;
        set NOT_LOGGED_CODE(value: number);
        get SYSTEM_ERROR_CODE(): number;
        set SYSTEM_ERROR_CODE(value: number);
        get BIZ_ERROR_CODE(): number;
        set BIZ_ERROR_CODE(value: number);
        get code(): number;
        set code(value: number);
        get message(): string;
        set message(value: string);
        get callDemo2(): Map;
        set callDemo2(value: Map);
        get data(): string;
        set data(value: string);
    }
}
